Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## unity.query
Class LQTree

    java.lang.Object
      unity.query.LQTree

All Implemented Interfaces:
  LQTreeConstants

    public class LQTree

extends java.lang.Object
implements LQTreeConstants

Field Summary

Fields inherited from interface unity.query.LQTreeConstants
`ADD, AGGREGATEFUNCTION, AND, APPEND, ARITH_OP, ARITHMETICFUNCTION, AS_IDENTIFIER, AS_TABLE, BAG_DIFFERENCE, BAG_INTERSECTION, BAG_UNION, BigDecimal, COMPARISON_OP, CONDITION, CONSTANTEXPRESSION, CROSSPRODUCT, DIFFERENCE, DISTRIBUTEDJOIN, DUPLICATE_ELIMINATION, DYNAMICHASHJOIN, EARLYHASHJOIN, EARLYHASHJOIN_NOBUFFER, EXPRESSION, FILTER, FULLOUTERJOIN, FUNCTION, GROUPBY, HAVING, IDENTIFIER, IN, INNERJOIN, INTEGER, INTERSECTION, JOIN, LEFTOUTERJOIN, MATCHFUNCTION, MERGE, MERGEJOIN, MINIMUM_JOIN_BUFFER_SIZE, MULT, MULT_OP, NESTEDLOOPJOIN, NOT, OR, ORDERBY, PRODUCT, PROJECTION, REAL, RIGHTOUTERJOIN, SELECTION, SQLPATTERN, STRING, TABLE, TABLE_IDENTIFIER, UNION, UNKNOWN, XOR`

Constructor Summary
`LQTree(LQNode root)`

Method Summary
`java.util.ArrayList` | `getJoinList()`
`LQNode` | `getRoot()`
`void` | `print()`
`static void` | `printProgressTree(LQNode root)`
`static void` | `printPTree(LQNode root, int depth)`
`static void` | `printTree(LQNode root, int depth)`
`void` | `setJoinList(java.util.ArrayList a)`
`void` | `setRoot(LQNode newRoot)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LQTree

    public LQTree(LQNode root)

Method Detail

### getRoot

    public LQNode getRoot()

### getJoinList

    public java.util.ArrayList getJoinList()

### setJoinList

    public void setJoinList(java.util.ArrayList a)

### setRoot

    public void setRoot(LQNode newRoot)

### printProgressTree

    public static void printProgressTree(LQNode root)

### printPTree

    public static void printPTree(LQNode root,
                                  int depth)

### print

    public void print()

### printTree

    public static void printTree(LQNode root,
                                 int depth)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD